# -*- coding: utf-8 -*-
# $Id: Question.py 1 2008-03-29 11:30:39Z gael.le-mignot $

from AccessControl import ClassSecurityInfo

from Products.Archetypes.public import *
from Products.ATContentTypes.content.schemata import finalizeATCTSchema
from Products.ATContentTypes.content.document import ATDocument, ATDocumentSchema
from Products.CMFCore.utils import getToolByName

from Products.OnlineExamen.config import PROJECT_NAME 

import logging
log = logging.getLogger(PROJECT_NAME)


schema = ATDocumentSchema.copy()
finalizeATCTSchema(schema)

class Question(ATDocument):
    """A question"""

    ## Type, icon and description
    meta_type = portal_type = 'Question'
    archetype_name = 'Question'
    content_icon = 'question_icon.png'
    typeDescription = 'A question'
    typeDescMsgId = 'question_description'

    ## Views
    default_view = 'base_view'
    immediate_view = default_view
    suppl_views = ()

    ## Various settings
    _at_rename_after_creation = True
    global_allow = False
    allow_discussion = False

    ## Security shortcuts
    security = ClassSecurityInfo()

    schema = schema

registerType(Question)
